/* https://www.digitalocean.com/community/tutorials/css-minimal-css-reset */

html {
  box-sizing: border-box;
  font-size: 16px;
}

*,
*:before,
*:after {
  box-sizing: inherit;
}

body,
h1,
h2,
h3,
h4,
h5,
h6,
p,
ol,
ul {
  margin: 0;
  padding: 0;
  font-weight: normal;
}

ol,
ul {
  list-style: none;
}

img {
  max-width: 100%;
  height: auto;
}

/* Shared Styles */

body {
  display: flex;
  flex-direction: column;
  height: 100vh;
  font-family: Arial, Helvetica, sans-serif;
}

.content,
footer {
  width: 100%;
  max-width: 1000px;
  margin: 0 auto;
  padding: 1em 2em;
}

/* Content */

.content {
  background-color: aqua;
  flex-grow: 1;
}

.content h1,
/* .content h2, */
.content p {
  margin-bottom: 1em;
}

.content ul {
  margin-left: 1em;
  margin-bottom: 1.5em;
}

/* Footer */

footer {
  text-align: center;
}

footer nav {
  margin-bottom: 1em;
}

.content-panel {
  padding: 1em 2em;
  border-radius: 5px;
  margin-bottom: 1.5em;
}

.code {
  background-color: black;
  color: white;
  letter-spacing: 1px;
}

.comment {
  color: limegreen;
}

.output {
  background-color: white;
  color: blue;
}

.output h1 {
  margin-bottom: 0;
}
